error installing J1521 Topic is solved

Need help installing Joomla! 1.5? For all Joomla! 1.5 installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

error installing J1521

Post by antonios » Thu Sep 06, 2018 8:57 pm

Hi
I am reinstalling J1521 (which was the latest working version) on my laptop using XAMPP (with the idea to upgrate to 1526 and then to J3.x) and when I am at step 4: DB configuration I receive the following error:
You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'TYPE=MyISAM CHARACTER SET `utf8`' at line 29 SQL=CREATE TABLE `jos_banner` ( `bid` int(11) NOT NULL auto_increment, `cid` int(11) NOT NULL default '0', `type` varchar(30) NOT NULL default 'banner', `name` varchar(255) NOT NULL default '', `alias` varchar(255) NOT NULL default '', `imptotal` int(11) NOT NULL default '0', `impmade` int(11) NOT NULL default '0', `clicks` int(11) NOT NULL default '0', `imageurl` varchar(100) NOT NULL default '', `clickurl` varchar(200) NOT NULL default '', `date` datetime default NULL, `showBanner` tinyint(1) NOT NULL default '0', `checked_out` tinyint(1) NOT NULL default '0', `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00', `editor` varchar(50) default NULL, `custombannercode` text, `catid` INTEGER UNSIGNED NOT NULL DEFAULT 0, `description` TEXT NOT NULL DEFAULT '', `sticky` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0, `ordering` INTEGER NOT NULL DEFAULT 0, `publish_up` datetime NOT NULL default '0000-00-00 00:00:00', `publish_down` datetime NOT NULL default '0000-00-00 00:00:00', `tags` TEXT NOT NULL DEFAULT '', `params` TEXT NOT NULL DEFAULT '', PRIMARY KEY (`bid`), KEY `viewbanner` (`showBanner`), INDEX `idx_banner_catid`(`catid`) ) TYPE=MyISAM CHARACTER SET `utf8`
Don't know how to go about solving this. It seems related to the collation type which I initially set to UTF8 when created the database...
Any help appreciated
Cheers

User avatar
mjparadac
Joomla! Ace
Joomla! Ace
Posts: 1611
Joined: Mon Oct 29, 2012 3:58 pm

Re: error installing J1521

Post by mjparadac » Fri Sep 07, 2018 2:30 pm

Joomla Community Ambassador for A2 Hosting | A2 Hosting - Our speed, your success | https://www.a2hosting.com/joomla-hosting

antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Fri Sep 07, 2018 10:13 pm

I am not there yet! Right now I need to reinstall the 1.5.21 version on localhost, then I can start the migration process as per the notes you suggested
Thanks

antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Sat Sep 15, 2018 11:18 am

Hi all
so, I am still struggling to know how can I solve this. I have tried several versions of XAMPP (both older and new) and I either get the initial error for which I wrote the post or I get an
Unable to connect to the database:Could not connect to MySQL
I read all the posts I found on this issue but to no avail, and I need to reinstall the old database in order to migrate otherwise I'll loose my website...or will have to start from scratch with basically no content after 15 year of contributions.

Any help would be appreciated :-[

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 24727
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: error installing J1521

Post by Per Yngve Berg » Sat Sep 15, 2018 11:45 am

'TYPE=MyISAM' was changed to 'ENGINE=MyISAM' some time ago. What version of Mysql are you running.


PS. I presume you mean Joomla verison 1.5.21

antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Sat Sep 15, 2018 2:39 pm

Yes I meant J 1.5.21

As for the versions of XAMPP I used: 5.5.34-0-VC11, 5.6.8-0-VC11, 5.6.14-4-VC11 and 7.2.6-0-VC15
in the last one the installation process for J1.5.21 would call some function inside the framework.php which was apparently no longer supported by php and crashed. (I think it was "set_magic_quotes_runtime()" )

As for the mysql versions, right now I have the 5.0.11 running.

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 24727
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: error installing J1521

Post by Per Yngve Berg » Sun Sep 16, 2018 8:52 am

magic_quotes was only present on php 5.3

1.5.26 will run on php up to 5.6.

What are you trying to install? Is it an old backup taken with Akeeba backup?

antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Sun Sep 16, 2018 10:03 am

yes, an old backup with Akeeba

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 24727
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: error installing J1521

Post by Per Yngve Berg » Sun Sep 16, 2018 1:42 pm

Did you try an older XAMPP (version 1.8 and before)?

The version scheme changed in 2014 and the next one was 5.6

Otherwise and edit of the sql files should make them import. Change "TYPE=" to "ENGINE="

antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Sun Sep 16, 2018 6:51 pm

Hi
I just installed XAMPP 1.7.7 and the same thing happens.
In case I try to modify the sql files which ones should I modify?

Also, when I create the data base before starting the installation I create it with the collation type "utf_general_ci" is this correct?

Also I am modifying the my.ini file to include user and password variables for mysql to access the DB like in:

Code: Select all

# The following options will be passed to all MySQL clients
[client] 
user = root1521
password = admin 
port            = 3306 
socket          = "D:/xampp3/mysql/mysql.sock"
is this correct?

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 24727
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: error installing J1521

Post by Per Yngve Berg » Sun Sep 16, 2018 7:27 pm


antonios
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 115
Joined: Fri Jun 20, 2008 2:22 pm

Re: error installing J1521

Post by antonios » Mon Sep 17, 2018 9:40 am

Thanks for pointing me to this. I finally managed to understand this bit. I realized that I had to make the change into the file ../installation/sql/mysql/joomla.sql

So now I can proceed with the installation process
Best regards


Post Reply

Return to “Installation 1.5”